#if !defined(AFX_DATAPARAMVIEW_H__D0605BFC_C062_468B_9EAB_806C56D61136__INCLUDED_)
#define AFX_DATAPARAMVIEW_H__D0605BFC_C062_468B_9EAB_806C56D61136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DataParamView.h : header file
//
class CDynaPanel; 
/////////////////////////////////////////////////////////////////////////////
// CDataParamView view

class CDataParamView : public CView
{
protected:
	CDataParamView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDataParamView)
// Attributes
public:

// Operations
public:
	void Reset();
	void SetActivePanels(HTREEITEM itm=TVI_ROOT);
	bool Initalized;
	void UpdateScrollPos();
	void UpdateControls();
	void HideNotVisible();
	void Refresh();
	CDynaPanel *PanPnt[256];
	int VisiblePanelCount;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDataParamView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDataParamView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDataParamView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATAPARAMVIEW_H__D0605BFC_C062_468B_9EAB_806C56D61136__INCLUDED_)
